output "instance_ids" {
    value = aws_instance.interconnects[*].id
}

#output "private_ips" {
#    value = aws_network_interface.interconnects[*].private_ips
#}

output "private_ips" {
  # We only want the first one
  value = [ for i in aws_network_interface.interconnects[*].private_ips: tolist(i)[0] ]
}

output "public_ips" {
    value = aws_eip.interconnects[*].public_ip
}

output "private_dns" {
  value = merge(module.private_dns_record_0.forward, module.private_dns_record_1.forward)
}

output "private_dns_reverse" {
  value = merge(module.private_dns_record_0.reverse, module.private_dns_record_1.reverse)
}

output "public_dns" {
  value = merge(module.public_dns_record_0.forward, module.public_dns_record_1.forward)
}

